package com.xx.hbhconsumer.data.http.requst

import com.xx.hbhconsumer.data.http.BaseRespons
import io.reactivex.rxjava3.core.Observable
import me.goldze.mvvmhabit.http.ApiParams
import me.goldze.mvvmhabit.http.BaseResponse

class LogoffRequest : BaseRespons() {
    /**
     * 获取验证码
     */
    fun logoff(accountClosureMark: String, accountClosureReason: String): Observable<BaseResponse<Boolean>> {
        return apiService.logoff(ApiParams<LogoffRequestBody>().setParams(
            LogoffRequestBody(
                accountClosureMark,
                accountClosureReason
            )
        ));
    }


    /**
     * 忘记密码入参
     *
     */
    class LogoffRequestBody(
        var accountClosureMark: String,
        var accountClosureReason: String
    )


}