package com.xx.hbhconsumer.data.http.requst;

import com.xx.hbhconsumer.data.http.BaseRespons;
import com.xx.hbhconsumer.data.http.respons.ActivityCouponBean;

import io.reactivex.rxjava3.core.Observable;
import me.goldze.mvvmhabit.http.ApiParams;
import me.goldze.mvvmhabit.http.BasePageResponse;
import me.goldze.mvvmhabit.http.BaseResponse;
import okhttp3.RequestBody;

public class PhoneRequest extends BaseRespons {

    /**
     * 低价好物商品列表
     */
    public Observable<BaseResponse<String>> getCode(String phone) {
        return getApiService().getCode(phone);
    }

    /**
     * 低价好物商品列表
     */
    public Observable<BaseResponse<String>> changePhone(String phone, Integer userId, String code) {

        ApiParams<ChangePhoneRequestBody> apiParams = new ApiParams<>();
        ChangePhoneRequestBody requestBody = new ChangePhoneRequestBody(phone, userId, code, "13");
        RequestBody body = apiParams.setParams(requestBody);
        return getApiService().changePhone(body);
    }


    class ChangePhoneRequestBody{

        /*手机号或用户名*/
        String phone;
        /*usetId*/
        Integer userId;
        /*验证码*/
        String verificationCode;
        /*用户类型:01-企业用户,13-消费者,02-商户用户,10-系统用户*/
        String userType;
        public ChangePhoneRequestBody(String phone, Integer userId, String verificationCode, String userType) {
            this.phone = phone;
            this.userId = userId;
            this.verificationCode = verificationCode;
            this.userType = userType;
        }
    }
}
