package com.xx.hbhconsumer.data.http.requst.body

import com.xx.hbhconsumer.data.http.BaseRespons
import com.xx.hbhconsumer.data.http.respons.RegisterBean
import io.reactivex.rxjava3.core.Observable
import me.goldze.mvvmhabit.http.ApiParams
import me.goldze.mvvmhabit.http.BaseResponse

class RegisterRequest: BaseRespons() {

    /**
     * 注册
     */
    fun register(phone:String, pwd:String, code: String ): Observable<me.goldze.mvvmhabit.http.BaseResponse<RegisterBean>>
    {
        return apiService.register(ApiParams<RegisterRequestBody>().setParams(RegisterRequestBody(phone, pwd, "13",code)))
    }

    /**
     * 登陆
     */
    fun getCode(phone:String): Observable<me.goldze.mvvmhabit.http.BaseResponse<String>>
    {
        return apiService.getCode(phone)
    }

    /**
     * 核对是否注册过
     */
    fun checkRegisterPhone(phone:String):Observable<BaseResponse<Boolean>>
    {
        return apiService.checkRegister(ApiParams<checkPhoneBody>().setParams(checkPhoneBody(phone)))
    }

    data class checkPhoneBody(var phonenumber:String, var userType:String="13")


    /**
     * 登陆入参
     * userType : 10 系统用户，01 企业用户，02商户用户，13消费者用户
     */
    class RegisterRequestBody(var phone: String, var password: String,var userType:String, var code: String)


}